diff -urp webkitgtk-2.48.0.epoxy/Source/cmake/OptionsGTK.cmake webkitgtk-2.48.0/Source/cmake/OptionsGTK.cmake
--- webkitgtk-2.48.0.epoxy/Source/cmake/OptionsGTK.cmake	2025-04-01 15:16:51.080032165 -0500
+++ webkitgtk-2.48.0/Source/cmake/OptionsGTK.cmake	2025-04-04 16:34:42.675409871 -0500
@@ -8,8 +8,7 @@ SET_PROJECT_VERSION(2 48 0)
 set(USER_AGENT_BRANDING "" CACHE STRING "Branding to add to user agent string")
 
 find_package(Cairo 1.15.2 REQUIRED)
-find_package(LibGcrypt 1.7.0 REQUIRED)
-find_package(Libtasn1 REQUIRED)
+find_package(LibGcrypt 1.6.0 REQUIRED)
 find_package(HarfBuzz 1.4.5 REQUIRED COMPONENTS ICU)
 find_package(ICU 52.1 REQUIRED COMPONENTS data i18n uc)
 find_package(JPEG REQUIRED)
@@ -107,6 +106,7 @@ WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_
 WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_PDFJS PUBLIC ON)
 WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_SPELLCHECK PUBLIC ON)
 WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_TOUCH_EVENTS PUBLIC ON)
+WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_WEB_CRYPTO PUBLIC ON)
 WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_WEBDRIVER PUBLIC ON)
 WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_SPEECH_SYNTHESIS PUBLIC ON)
 
@@ -324,6 +324,16 @@ if (ENABLE_DOCUMENTATION AND NOT GIDocge
     message(FATAL_ERROR "ENABLE_DOCUMENTATION is needed for gi-docgen.")
 endif ()
 
+if (ENABLE_WEB_CRYPTO)
+    find_package(Libtasn1 REQUIRED)
+    if (NOT LIBTASN1_FOUND)
+        message(FATAL_ERROR "libtasn1 is required to enable Web Crypto API support.")
+    endif ()
+    if (LibGcrypt_VERSION VERSION_LESS 1.7.0)
+        message(FATAL_ERROR "libgcrypt 1.7.0 is required to enable Web Crypto API support.")
+    endif ()
+endif ()
+
 if (ENABLE_WEBDRIVER)
     SET_AND_EXPOSE_TO_BUILD(ENABLE_WEBDRIVER_KEYBOARD_INTERACTIONS ON)
     SET_AND_EXPOSE_TO_BUILD(ENABLE_WEBDRIVER_MOUSE_INTERACTIONS ON)
diff -urp webkitgtk-2.48.0.epoxy/Source/cmake/WebKitFeatures.cmake webkitgtk-2.48.0/Source/cmake/WebKitFeatures.cmake
--- webkitgtk-2.48.0.epoxy/Source/cmake/WebKitFeatures.cmake	2025-02-25 02:25:42.367415000 -0600
+++ webkitgtk-2.48.0/Source/cmake/WebKitFeatures.cmake	2025-04-04 16:34:42.677409908 -0500
@@ -242,6 +242,7 @@ macro(WEBKIT_OPTION_BEGIN)
     WEBKIT_OPTION_DEFINE(ENABLE_WEB_AUDIO "Toggle Web Audio support" PRIVATE ON)
     WEBKIT_OPTION_DEFINE(ENABLE_WEB_AUTHN "Toggle Web AuthN support" PRIVATE OFF)
     WEBKIT_OPTION_DEFINE(ENABLE_WEB_CODECS "Toggle WebCodecs support" PRIVATE OFF)
+    WEBKIT_OPTION_DEFINE(ENABLE_WEB_CRYPTO "Toggle WebCrypto Subtle-Crypto support" PRIVATE ON)
     WEBKIT_OPTION_DEFINE(ENABLE_WEB_RTC "Toggle WebRTC support" PRIVATE OFF)
     WEBKIT_OPTION_DEFINE(ENABLE_WIRELESS_PLAYBACK_TARGET "Toggle wireless playback target support" PRIVATE OFF)
     WEBKIT_OPTION_DEFINE(ENABLE_WK_WEB_EXTENSIONS "Toggle WebExtensions support" PRIVATE OFF)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/bindings/js/SerializedScriptValue.cpp webkitgtk-2.48.0/Source/WebCore/bindings/js/SerializedScriptValue.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/bindings/js/SerializedScriptValue.cpp	2025-02-25 02:25:40.967381200 -0600
+++ webkitgtk-2.48.0/Source/WebCore/bindings/js/SerializedScriptValue.cpp	2025-04-04 16:34:42.680409962 -0500
@@ -202,7 +202,9 @@ enum SerializationTag {
     MapObjectTag = 30,
     NonMapPropertiesTag = 31,
     NonSetPropertiesTag = 32,
+#if ENABLE(WEB_CRYPTO)
     CryptoKeyTag = 33,
+#endif
     SharedArrayBufferTag = 34,
 #if ENABLE(WEBASSEMBLY)
     WasmModuleTag = 35,
@@ -305,7 +307,9 @@ static ASCIILiteral name(SerializationTa
     case MapObjectTag: return "MapObjectTag"_s;
     case NonMapPropertiesTag: return "NonMapPropertiesTag"_s;
     case NonSetPropertiesTag: return "NonSetPropertiesTag"_s;
+#if ENABLE(WEB_CRYPTO)
     case CryptoKeyTag: return "CryptoKeyTag"_s;
+#endif
     case SharedArrayBufferTag: return "SharedArrayBufferTag"_s;
 #if ENABLE(WEBASSEMBLY)
     case WasmModuleTag: return "WasmModuleTag"_s;
@@ -463,7 +467,9 @@ static bool isTypeExposedToGlobalObject(
     case FileListTag:
     case ImageDataTag:
     case BlobTag:
+#if ENABLE(WEB_CRYPTO)
     case CryptoKeyTag:
+#endif
     case DOMPointReadOnlyTag:
     case DOMPointTag:
     case DOMRectReadOnlyTag:
@@ -624,6 +630,8 @@ static String agentClusterIDFromGlobalOb
 }
 #endif
 
+#if ENABLE(WEB_CRYPTO)
+
 const uint32_t currentKeyFormatVersion = 1;
 
 enum class CryptoKeyClassSubtag : uint8_t {
@@ -696,6 +704,8 @@ enum class CryptoKeyOKPOpNameTag : bool
     ED25519 = 1,
 };
 const uint8_t cryptoKeyOKPOpNameTagMaximumValue = 1;
+#endif
+
 static constexpr unsigned CurrentMajorVersion = 15;
 static constexpr unsigned CurrentMinorVersion = 0;
 static constexpr unsigned majorVersionFor(unsigned version) { return version & 0x00FFFFFF; }
@@ -965,6 +975,7 @@ protected:
     StackCheck m_stackCheck;
 };
 
+#if ENABLE(WEB_CRYPTO)
 static std::optional<Vector<uint8_t>> serializeAndWrapCryptoKey(JSGlobalObject* lexicalGlobalObject, WebCore::CryptoKeyData&& key)
 {
     RefPtr context = executionContext(lexicalGlobalObject);
@@ -982,6 +993,7 @@ static std::optional<Vector<uint8_t>> un
 
     return context->unwrapCryptoKey(wrappedKey);
 }
+#endif
 
 #if ASSUME_LITTLE_ENDIAN
 template <typename T> static void writeLittleEndian(Vector<uint8_t>& buffer, T value)
@@ -2029,6 +2041,7 @@ private:
                 addToObjectPool<ArrayBufferViewTag>(obj);
                 return success;
             }
+#if ENABLE(WEB_CRYPTO)
             if (RefPtr key = JSCryptoKey::toWrapped(vm, obj)) {
                 write(CryptoKeyTag);
                 auto wrappedKey = serializeAndWrapCryptoKey(m_lexicalGlobalObject, key->data());
@@ -2040,6 +2053,7 @@ private:
                 write(*wrappedKey);
                 return true;
             }
+#endif
 #if ENABLE(WEB_RTC)
             if (RefPtr rtcCertificate = JSRTCCertificate::toWrapped(vm, obj)) {
                 write(RTCCertificateTag);
@@ -2187,6 +2201,7 @@ private:
         writeLittleEndian<uint8_t>(m_buffer, static_cast<uint8_t>(tag));
     }
 
+#if ENABLE(WEB_CRYPTO)
     void write(CryptoKeyClassSubtag tag)
     {
         writeLittleEndian<uint8_t>(m_buffer, static_cast<uint8_t>(tag));
@@ -2211,6 +2226,7 @@ private:
     {
         writeLittleEndian<uint8_t>(m_buffer, static_cast<uint8_t>(tag));
     }
+#endif
 
     void write(bool b)
     {
@@ -2426,6 +2442,7 @@ private:
         write(DestinationColorSpaceSRGBTag);
     }
 
+#if ENABLE(WEB_CRYPTO)
     void write(CryptoKeyOKP::NamedCurve curve)
     {
         switch (curve) {
@@ -2630,6 +2647,7 @@ private:
             break;
         }
     }
+#endif
 
     void write(std::span<const uint8_t> data)
     {
@@ -3896,6 +3914,7 @@ private:
         return false;
     }
 
+#if ENABLE(WEB_CRYPTO)
     bool read(CryptoKeyOKP::NamedCurve& result)
     {
         uint8_t nameTag;
@@ -4267,6 +4286,7 @@ private:
         cryptoKey = getJSValue(result.get());
         return true;
     }
+#endif
 
     bool read(SerializableErrorType& errorType)
     {
@@ -5232,6 +5252,7 @@ private:
             addToObjectPool<ArrayBufferViewTag>(arrayBufferView);
             return arrayBufferView;
         }
+#if ENABLE(WEB_CRYPTO)
         case CryptoKeyTag: {
             Vector<uint8_t> wrappedKey;
             if (!read(wrappedKey)) {
@@ -5256,6 +5277,7 @@ private:
             }
             return cryptoKey;
         }
+#endif
         case DOMPointReadOnlyTag:
             return readDOMPoint<DOMPointReadOnly>();
         case DOMPointTag:
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCBC.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCBC.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCBC.cpp	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCBC.cpp	2025-04-04 16:34:42.682409999 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmAESCBC.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmAesCbcCfbParams.h"
 #include "CryptoAlgorithmAesKeyParams.h"
 #include "CryptoKeyAES.h"
@@ -193,3 +195,5 @@ ExceptionOr<std::optional<size_t>> Crypt
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCBC.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCBC.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCBC.h	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCBC.h	2025-04-04 16:34:42.683724662 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmAesCbcCfbParams;
@@ -57,3 +59,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCFB.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCFB.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCFB.cpp	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCFB.cpp	2025-04-04 16:34:42.684538713 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmAESCFB.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmAesCbcCfbParams.h"
 #include "CryptoAlgorithmAesKeyParams.h"
 #include "CryptoKeyAES.h"
@@ -193,3 +195,5 @@ ExceptionOr<std::optional<size_t>> Crypt
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCFB.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCFB.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCFB.h	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCFB.h	2025-04-04 16:34:42.685265779 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmAesCbcCfbParams;
@@ -54,3 +56,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCTR.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCTR.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCTR.cpp	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCTR.cpp	2025-04-04 16:34:42.685410053 -0500
@@ -27,6 +27,8 @@
 #include "config.h"
 #include "CryptoAlgorithmAESCTR.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmAesCtrParams.h"
 #include "CryptoAlgorithmAesKeyParams.h"
 #include "CryptoKeyAES.h"
@@ -315,3 +317,5 @@ auto CryptoAlgorithmAESCTR::CounterBlock
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCTR.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCTR.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCTR.h	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESCTR.h	2025-04-04 16:34:42.686521487 -0500
@@ -28,6 +28,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmAesCtrParams;
@@ -82,3 +84,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESGCM.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESGCM.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESGCM.cpp	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESGCM.cpp	2025-04-04 16:34:42.687071889 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmAESGCM.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmAesGcmParams.h"
 #include "CryptoAlgorithmAesKeyParams.h"
 #include "CryptoKeyAES.h"
@@ -239,3 +241,5 @@ ExceptionOr<std::optional<size_t>> Crypt
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESGCM.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESGCM.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESGCM.h	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESGCM.h	2025-04-04 16:34:42.687539153 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmAesGcmParams;
@@ -55,3 +57,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESKW.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESKW.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESKW.cpp	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESKW.cpp	2025-04-04 16:34:42.688011227 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmAESKW.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmAesKeyParams.h"
 #include "CryptoKeyAES.h"
 #include <variant>
@@ -182,3 +184,5 @@ ExceptionOr<std::optional<size_t>> Crypt
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESKW.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESKW.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESKW.h	2025-02-25 02:25:40.995382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmAESKW.h	2025-04-04 16:34:42.688373392 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoKeyAES;
@@ -54,3 +56,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDH.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDH.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDH.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDH.cpp	2025-04-04 16:34:42.688410108 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmECDH.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmEcKeyParams.h"
 #include "CryptoAlgorithmEcdhKeyDeriveParams.h"
 #include "CryptoKeyEC.h"
@@ -235,3 +237,5 @@ void CryptoAlgorithmECDH::exportKey(Cryp
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDH.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDH.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDH.h	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDH.h	2025-04-04 16:34:42.689171754 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoKeyEC;
@@ -51,3 +53,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDSA.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDSA.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDSA.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDSA.cpp	2025-04-04 16:34:42.689600756 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmECDSA.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmEcKeyParams.h"
 #include "CryptoAlgorithmEcdsaParams.h"
 #include "CryptoKeyEC.h"
@@ -215,3 +217,5 @@ void CryptoAlgorithmECDSA::exportKey(Cry
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDSA.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDSA.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDSA.h	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmECDSA.h	2025-04-04 16:34:42.690031000 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmEcdsaParams;
@@ -53,3 +55,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmEd25519.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmEd25519.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmEd25519.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmEd25519.cpp	2025-04-04 16:34:42.690434925 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmEd25519.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoKeyOKP.h"
 #include "NotImplemented.h"
 #include "ScriptExecutionContext.h"
@@ -194,3 +196,4 @@ void CryptoAlgorithmEd25519::exportKey(C
 }
 
 } // namespace WebCore
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmEd25519.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmEd25519.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmEd25519.h	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmEd25519.h	2025-04-04 16:34:42.690850582 -0500
@@ -26,6 +26,7 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
 namespace WebCore {
 
 constexpr auto ed25519KeySize = 32;
@@ -59,3 +60,5 @@ inline CryptoAlgorithmIdentifier CryptoA
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmHKDF.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmHKDF.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmHKDF.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmHKDF.cpp	2025-04-04 16:34:42.691195795 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmHKDF.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmHkdfParams.h"
 #include "CryptoKeyRaw.h"
 #include "ScriptExecutionContext.h"
@@ -81,3 +83,5 @@ ExceptionOr<std::optional<size_t>> Crypt
 }
     
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmHKDF.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmHKDF.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmHKDF.h	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmHKDF.h	2025-04-04 16:34:42.691580944 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmHkdfParams;
@@ -50,3 +52,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmHMAC.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmHMAC.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmHMAC.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmHMAC.cpp	2025-04-04 16:34:42.691990189 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmHMAC.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmHmacKeyParams.h"
 #include "CryptoKeyHMAC.h"
 #include "ScriptExecutionContext.h"
@@ -196,4 +198,6 @@ ExceptionOr<std::optional<size_t>> Crypt
     return CryptoKeyHMAC::getKeyLength(parameters);
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmHMAC.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmHMAC.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmHMAC.h	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmHMAC.h	2025-04-04 16:34:42.692337366 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoKeyHMAC;
@@ -54,3 +56,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmPBKDF2.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmPBKDF2.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmPBKDF2.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmPBKDF2.cpp	2025-04-04 16:34:42.692687799 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmPBKDF2.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmPbkdf2Params.h"
 #include "CryptoKeyRaw.h"
 #include <JavaScriptCore/JSCJSValueInlines.h>
@@ -80,3 +82,5 @@ ExceptionOr<std::optional<size_t>> Crypt
 }
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmPBKDF2.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmPBKDF2.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmPBKDF2.h	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmPBKDF2.h	2025-04-04 16:34:42.693077187 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmPbkdf2Params;
@@ -50,3 +52,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_OAEP.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_OAEP.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_OAEP.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_OAEP.cpp	2025-04-04 16:34:42.693468437 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRSA_OAEP.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRsaHashedImportParams.h"
 #include "CryptoAlgorithmRsaHashedKeyGenParams.h"
 #include "CryptoAlgorithmRsaOaepParams.h"
@@ -253,4 +255,6 @@ void CryptoAlgorithmRSA_OAEP::exportKey(
     callback(format, WTFMove(result));
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_OAEP.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_OAEP.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_OAEP.h	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_OAEP.h	2025-04-04 16:34:42.693896408 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmRsaOaepParams;
@@ -53,3 +55,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_PSS.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_PSS.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_PSS.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_PSS.cpp	2025-04-04 16:34:42.694329447 -0500
@@ -26,7 +26,7 @@
 #include "config.h"
 #include "CryptoAlgorithmRSA_PSS.h"
 
-#if HAVE(RSA_PSS)
+#if ENABLE(WEB_CRYPTO) && HAVE(RSA_PSS)
 
 #include "CryptoAlgorithmRsaHashedImportParams.h"
 #include "CryptoAlgorithmRsaHashedKeyGenParams.h"
@@ -243,4 +243,4 @@ void CryptoAlgorithmRSA_PSS::exportKey(C
 
 }
 
-#endif // HAVE(RSA_PSS)
+#endif // ENABLE(WEB_CRYPTO) && HAVE(RSA_PSS)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_PSS.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_PSS.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_PSS.h	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSA_PSS.h	2025-04-04 16:34:42.694410217 -0500
@@ -27,7 +27,7 @@
 
 #include "CryptoAlgorithm.h"
 
-#if HAVE(RSA_PSS)
+#if ENABLE(WEB_CRYPTO) && HAVE(RSA_PSS)
 
 namespace WebCore {
 
@@ -56,4 +56,4 @@ private:
 
 } // namespace WebCore
 
-#endif // HAVE(RSA_PSS)
+#endif // ENABLE(WEB_CRYPTO) && HAVE(RSA_PSS)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSASSA_PKCS1_v1_5.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSASSA_PKCS1_v1_5.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSASSA_PKCS1_v1_5.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSASSA_PKCS1_v1_5.cpp	2025-04-04 16:34:42.695199073 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmRSASSA_PKCS1_v1_5.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "CryptoAlgorithmRsaHashedImportParams.h"
 #include "CryptoAlgorithmRsaHashedKeyGenParams.h"
 #include "CryptoKeyPair.h"
@@ -231,4 +233,6 @@ void CryptoAlgorithmRSASSA_PKCS1_v1_5::e
     callback(format, WTFMove(result));
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSASSA_PKCS1_v1_5.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSASSA_PKCS1_v1_5.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSASSA_PKCS1_v1_5.h	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmRSASSA_PKCS1_v1_5.h	2025-04-04 16:34:42.695633586 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoKeyRSA;
@@ -52,3 +54,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA1.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA1.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA1.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA1.cpp	2025-04-04 16:34:42.695978499 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmSHA1.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "ScriptExecutionContext.h"
 #include <pal/crypto/CryptoDigest.h>
 
@@ -46,4 +48,6 @@ void CryptoAlgorithmSHA1::digest(Vector<
     CryptoAlgorithm::dispatchDigest(workQueue, context, WTFMove(callback), WTFMove(exceptionCallback), WTFMove(message), PAL::CryptoDigest::Algorithm::SHA_1);
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA1.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA1.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA1.h	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA1.h	2025-04-04 16:34:42.696247829 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmSHA1 final : public CryptoAlgorithm {
@@ -42,3 +44,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA256.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA256.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA256.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA256.cpp	2025-04-04 16:34:42.696474488 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmSHA256.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "ScriptExecutionContext.h"
 #include <pal/crypto/CryptoDigest.h>
 
@@ -46,4 +48,6 @@ void CryptoAlgorithmSHA256::digest(Vecto
     CryptoAlgorithm::dispatchDigest(workQueue, context, WTFMove(callback), WTFMove(exceptionCallback), WTFMove(message), PAL::CryptoDigest::Algorithm::SHA_256);
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA256.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA256.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA256.h	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA256.h	2025-04-04 16:34:42.696763846 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmSHA256 final : public CryptoAlgorithm {
@@ -42,3 +44,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA384.cpp webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA384.cpp
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA384.cpp	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA384.cpp	2025-04-04 16:34:42.697004091 -0500
@@ -26,6 +26,8 @@
 #include "config.h"
 #include "CryptoAlgorithmSHA384.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 #include "ScriptExecutionContext.h"
 #include <pal/crypto/CryptoDigest.h>
 
@@ -46,4 +48,6 @@ void CryptoAlgorithmSHA384::digest(Vecto
     CryptoAlgorithm::dispatchDigest(workQueue, context, WTFMove(callback), WTFMove(exceptionCallback), WTFMove(message), PAL::CryptoDigest::Algorithm::SHA_384);
 }
 
-} // namespace WebCore
+}
+
+#endif // ENABLE(WEB_CRYPTO)
diff -urp webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA384.h webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA384.h
--- webkitgtk-2.48.0.epoxy/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA384.h	2025-02-25 02:25:40.999382000 -0600
+++ webkitgtk-2.48.0/Source/WebCore/crypto/algorithms/CryptoAlgorithmSHA384.h	2025-04-04 16:34:42.697276606 -0500
@@ -27,6 +27,8 @@
 
 #include "CryptoAlgorithm.h"
 
+#if ENABLE(WEB_CRYPTO)
+
 namespace WebCore {
 
 class CryptoAlgorithmSHA384 final : public CryptoAlgorithm {
@@ -42,3 +44,5 @@ private:
 };
 
 } // namespace WebCore
+
+#endif // ENABLE(WEB_CRYPTO)
